﻿using Infragistics.Themes;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TileControl
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        private Visibility _isTileVisible;

        public MainWindow() 
        {
            InitializeComponent();

            DataContext = this;

            ThemeManager.ApplicationTheme = new MetroDarkTheme();
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void NotifyPropertyChanged([CallerMemberName] string propName = "")
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

        private void BtnShowHide_Click(object sender, RoutedEventArgs e)
        {
            if (IsTileVisible == Visibility)
                IsTileVisible = Visibility.Collapsed;
            else
                IsTileVisible = Visibility.Visible;

        }
        
        public Visibility IsTileVisible
        {
            get { return _isTileVisible; }
            set
            {
                _isTileVisible = value;
                NotifyPropertyChanged();
            }
        }
    }
}
